## imcode.util
Class IdNamePair

    java.lang.Object
      imcode.util.IdNamePair

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  SectionDomainObject, TemplateGroupDomainObject

    public class IdNamePair

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IdNamePair(int id, java.lang.String name)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`int` `getId()`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdNamePair

    public IdNamePair(int id,
                      java.lang.String name)

Method Detail

### getId

    public int getId()

### getName

    public java.lang.String getName()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`